const initialState = {
  posts: [],
  loading: false
};

const reducer = (state = initialState, action) => {
  switch(action.type) {
    case 'POSTS/LOAD':
      return {
        ...state,
        posts: action.result || [],
      };
    default:
      return state;
  }
};

export default reducer;